Name:           ltsp
Version:        5.1.72
%define _datestamp .20090422.23
#Release:        1%{_datestamp}%{?dist}
Release:        1%{?dist}
Summary:        Linux Terminal Server Project Server and Client
Group:          User Interface/Desktops

License:        GPLv2 and GPLv2+
URL:            http://www.ltsp.org
#   bzr branch http://bazaar.launchpad.net/~ltsp-upstream/ltsp/ltsp-trunk
#   cd ltsp-trunk
#   mkdst tar --from-tag=ltsp-%{version}
Source0:        ltsp-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%if 0%{?fedora} > 7 || 0%{?rhel} > 5
BuildRequires: popt-devel
%else
BuildRequires: popt
%endif
BuildRequires: flex bison
BuildRequires: automake
BuildRequires: pkgconfig
BuildRequires: libX11-devel
%ifarch %{ix86} x86_64
# Need pxelinux.0 from syslinux if server is x86
BuildRequires: syslinux
%endif
BuildRequires: tftp-server

# tftpboot directory location changed in F9+
%if 0%{?fedora} > 8 || 0%{?rhel} > 5
%define _tftpdir /var/lib/tftpboot
%else
%define _tftpdir /tftpboot
%endif

%description
LTSP client and server

%package client
Summary:        LTSP client
Group:          User Interface/Desktops
Requires:       chkconfig
Requires:       ltspfsd
Requires:       nbd
# Jetpipe needs pyserial
Requires:       pyserial
Requires(post): initscripts
BuildRequires:  glib2-devel

%description client
LTSP client package
This package contains the scripts necessary to boot as a LTSP5 thin client.

%package server
Summary:        LTSP server
Group:          User Interface/Desktops
%if 0%{?fedora}
# XXX: Fix this after RHEL5 livecd-tools backports is complete.
# needed to install client chroots
Requires:       livecd-tools >= 015
%endif
Requires:       tftp-server
Requires:       ltspfs
Requires:       dhcp
Requires:       gettext
Requires:       bridge-utils
Requires:       nbd
Requires:       ldminfod
Requires(post): chkconfig
Requires(preun): chkconfig

%description server
LTSP server package
This package contains the scripts and services necessary to install and run
a Linux Terminal Server.

%if 0%{?fedora}
%ifarch %{ix86} x86_64
%package vmclient
Summary:        LTSP Virtual Machine Client
Group:          Applications/Emulators
Requires:       kvm

%description vmclient
Run a qemu-kvm virtual machine as a PXE client.  This allows you to test a 
LTSP server without the hassle of having extra hardware.  Requires 
your system to support hardware virtualization or it will be very slow.
%endif
%endif


%prep
%setup -q 

%build
pushd client/getltscfg
  make %{?_smp_mflags}
popd

pushd localapps
  %configure
  make %{?_smp_mflags}
popd


%install
##### make directories
rm -rf $RPM_BUILD_ROOT
# client
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rwtab.d/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/ltsp/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/ltsp/chroot-setup.d/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/ltsp/template/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/ldm/rc.d/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/kernel/postinst.d/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/kernel/prerm.d/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/
mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/cache/ltsp-localapps/

# server
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ltsp/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ltsp/kickstart/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ltsp/mkinitrd/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/init.d/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/ltsp/scripts/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/ltsp/scripts.d/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/ltsp/chkconfig.d/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/ltsp/plugins/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/ltsp/swapfiles/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/network-scripts/
mkdir -p $RPM_BUILD_ROOT/opt/ltsp
mkdir -p $RPM_BUILD_ROOT/opt/ltsp/images

mkdir -p $RPM_BUILD_ROOT%{_tftpdir}/ltsp/i386/pxelinux.cfg/
mkdir -p $RPM_BUILD_ROOT%{_tftpdir}/ltsp/x86_64/pxelinux.cfg/
mkdir -p $RPM_BUILD_ROOT%{_tftpdir}/ltsp/ppc/
mkdir -p $RPM_BUILD_ROOT%{_tftpdir}/ltsp/ppc64/

###### client install
pushd localapps
    make install DESTDIR=$RPM_BUILD_ROOT
popd
install -m 0755 localapps/ltsp-localappsd $RPM_BUILD_ROOT/%{_bindir}/
install -m 0755 localapps/ltsp-genmenu $RPM_BUILD_ROOT/%{_bindir}/

install -m 0755 client/getltscfg/getltscfg $RPM_BUILD_ROOT/%{_bindir}/getltscfg
install -m 0644 client/getltscfg/getltscfg.1 $RPM_BUILD_ROOT/%{_mandir}/man1/
install -m 0644 client/ltsp_config $RPM_BUILD_ROOT/%{_datadir}/ltsp/
install -m 0755 client/screen_session $RPM_BUILD_ROOT/%{_datadir}/ltsp/
install -m 0755 client/configure-x.sh $RPM_BUILD_ROOT/%{_datadir}/ltsp/
install -m 0644 client/initscripts/ltsp-init-common $RPM_BUILD_ROOT/%{_datadir}/ltsp/
install -m 0644 ltsp-common-functions $RPM_BUILD_ROOT/%{_datadir}/ltsp/
install -m 0755 client/initscripts/RPM/ltsp-client-launch $RPM_BUILD_ROOT%{_sbindir}
install -m 0644 client/rwtab.d/k12linux.rwtab $RPM_BUILD_ROOT%{_sysconfdir}/rwtab.d
install -m 0644 client/screen-x-common $RPM_BUILD_ROOT/%{_datadir}/ltsp/
install -m 0755 client/xinitrc $RPM_BUILD_ROOT/%{_datadir}/ltsp/
install -m 0755 client/jetpipe/jetpipe $RPM_BUILD_ROOT/%{_sbindir}
install -m 0644 client/jetpipe/jetpipe.8 $RPM_BUILD_ROOT/%{_mandir}/man8/
install -m 0755 client/scripts/k12linux/ltsp-rewrap-latest-kernel $RPM_BUILD_ROOT/%{_sbindir}
install -m 0700 client/chroot-setup/ltsp-chroot-setup $RPM_BUILD_ROOT/%{_datadir}/ltsp/
install -m 0755 localapps/ldm-rc.d/* $RPM_BUILD_ROOT%{_datadir}/ldm/rc.d/
cp -av client/chroot-setup/k12linux/* $RPM_BUILD_ROOT%{_datadir}/ltsp/chroot-setup.d/
cp -av client/screen.d $RPM_BUILD_ROOT/%{_datadir}/ltsp/
cp -av client/screen-session.d $RPM_BUILD_ROOT/%{_datadir}/ltsp/
cp -av client/xinitrc.d $RPM_BUILD_ROOT/%{_datadir}/ltsp/
cp -av client/template/k12linux/* $RPM_BUILD_ROOT%{_datadir}/ltsp/template/
touch $RPM_BUILD_ROOT%{_sysconfdir}/lts.conf
touch $RPM_BUILD_ROOT%{_localstatedir}/lib/random-seed
# We need these files in both in client and server, but it ends up in the same place.
# client copy is to ensure that it gets upgraded with ltsp-client package upgrades.
# server copy is so chroot-creator can copy it into the chroot before mkinitrd runs the first time.
# the real client copy is written during ltsp-client %post iff it is actually a client chroot.
install -m 0644 server/configs/k12linux/mkinitrd/sysconfig-mkinitrd $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/mkinitrd.ltsp-template
install -m 0755 server/configs/k12linux/mkinitrd/ltsp-postinst.d $RPM_BUILD_ROOT%{_sysconfdir}/kernel/postinst.d/ltsp
install -m 0755 server/configs/k12linux/mkinitrd/ltsp-prerm.d    $RPM_BUILD_ROOT%{_sysconfdir}/kernel/prerm.d/ltsp

### server install
install -m 0755 localapps/ltsp-localapps  $RPM_BUILD_ROOT/%{_bindir}/
install -m 0755 server/nbdrootd $RPM_BUILD_ROOT%{_sbindir}
install -m 0755 server/nbdswapd $RPM_BUILD_ROOT%{_sbindir}
install -m 0755 server/ltsp-update-sshkeys $RPM_BUILD_ROOT%{_sbindir}
install -m 0755 server/ltsp-build-client $RPM_BUILD_ROOT%{_sbindir}
cp -pr server/plugins/* $RPM_BUILD_ROOT%{_datadir}/ltsp/plugins/
install -m 0755 server/ltsp-update-kernels $RPM_BUILD_ROOT%{_sbindir}
install -m 0755 server/scripts/k12linux/ltsp-update-image $RPM_BUILD_ROOT%{_sbindir}
install -m 0755 server/scripts/k12linux/chroot-creator $RPM_BUILD_ROOT%{_sbindir}
install -m 0755 server/ltsp-swapfile-delete $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/
install -m 0644 server/xinetd.d/nbdrootd $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/
install -m 0644 server/xinetd.d/nbdswapd $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/
install -m 0644 server/configs/nbdswapd.conf $RPM_BUILD_ROOT%{_sysconfdir}/ltsp/
cp -pr server/configs/kickstart/* $RPM_BUILD_ROOT%{_sysconfdir}/ltsp/kickstart/
install -m 0644 server/configs/k12linux/mkinitrd/ifcfg-eth0 $RPM_BUILD_ROOT%{_sysconfdir}/ltsp/mkinitrd/
install -m 0644 server/configs/k12linux/mkinitrd/sysconfig-mkinitrd $RPM_BUILD_ROOT%{_sysconfdir}/ltsp/mkinitrd/
install -m 0644 server/configs/k12linux/mkinitrd/sysconfig-network $RPM_BUILD_ROOT%{_sysconfdir}/ltsp/mkinitrd/
install -m 0755 server/configs/k12linux/mkinitrd/ltsp-postinst.d $RPM_BUILD_ROOT%{_sysconfdir}/ltsp/mkinitrd/
install -m 0644 server/services/sysconfig-ltsp-dhcpd $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/ltsp-dhcpd
install -m 0755 server/services/ltsp-dhcpd.init $RPM_BUILD_ROOT%{_sysconfdir}/init.d/ltsp-dhcpd
install -m 0755 server/scripts/k12linux/ltsp-prepare-kernel $RPM_BUILD_ROOT/%{_sbindir}/
install -m 0755 server/scripts/k12linux/ltsp-server-initialize $RPM_BUILD_ROOT/%{_sbindir}/
install -m 0755 server/scripts/k12linux/hosts-update $RPM_BUILD_ROOT/%{_datadir}/ltsp/scripts/
install -m 0755 server/scripts/k12linux/dhcpd-update $RPM_BUILD_ROOT/%{_datadir}/ltsp/scripts/
cp -p server/scripts/k12linux/scripts.d/*   $RPM_BUILD_ROOT%{_datadir}/ltsp/scripts.d/
cp -p server/scripts/k12linux/chkconfig.d/* $RPM_BUILD_ROOT%{_datadir}/ltsp/chkconfig.d/
install -m 0644 server/scripts/k12linux/mksquashfs-exclude $RPM_BUILD_ROOT/%{_datadir}/ltsp/

# Remove irrelevant plugins from package
rm -rf $RPM_BUILD_ROOT%{_datadir}/ltsp/plugins/ltsp-build-client/ALTLinux/
rm -rf $RPM_BUILD_ROOT%{_datadir}/ltsp/plugins/ltsp-build-client/Debian/
rm -rf $RPM_BUILD_ROOT%{_datadir}/ltsp/plugins/ltsp-build-client/Gentoo/
rm -rf $RPM_BUILD_ROOT%{_datadir}/ltsp/plugins/ltsp-build-client/SUSE_LINUX/
rm -rf $RPM_BUILD_ROOT%{_datadir}/ltsp/plugins/ltsp-build-client/Ubuntu/

# configs
install -m 0644 server/configs/k12linux/ifcfg-ltspbr0 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/network-scripts/
install -m 0644 server/configs/k12linux/ltsp-dhcpd.conf $RPM_BUILD_ROOT%{_sysconfdir}/ltsp/dhcpd.conf
install -m 0644 server/configs/k12linux/ltsp-update-kernels.conf $RPM_BUILD_ROOT%{_sysconfdir}/ltsp/
install -m 0644 server/configs/k12linux/ltsp-build-client.conf $RPM_BUILD_ROOT%{_sysconfdir}/ltsp/
install -m 0644 server/configs/k12linux/ltsp-server.conf $RPM_BUILD_ROOT%{_sysconfdir}/ltsp/

for arch in i386 x86_64 ppc ppc64; do
    install -m 0644 server/configs/k12linux/lts.conf $RPM_BUILD_ROOT%{_tftpdir}/ltsp/$arch/
done

install -m 0644 server/configs/k12linux/ltspdist.template $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/ltspdist

# PXE
install -m 0644 server/configs/pxe-default.conf $RPM_BUILD_ROOT%{_tftpdir}/ltsp/i386/pxelinux.cfg/default
install -m 0644 server/configs/pxe-default.conf $RPM_BUILD_ROOT%{_tftpdir}/ltsp/x86_64/pxelinux.cfg/default
%ifarch %{ix86} x86_64
%if 0%{?fedora} > 10
install -m 0644 /usr/share/syslinux/pxelinux.0 $RPM_BUILD_ROOT%{_tftpdir}/ltsp/i386
install -m 0644 /usr/share/syslinux/pxelinux.0 $RPM_BUILD_ROOT%{_tftpdir}/ltsp/x86_64
%else
install -m 0644 /usr/lib/syslinux/pxelinux.0 $RPM_BUILD_ROOT%{_tftpdir}/ltsp/i386
install -m 0644 /usr/lib/syslinux/pxelinux.0 $RPM_BUILD_ROOT%{_tftpdir}/ltsp/x86_64
%endif
%endif

# PPC
install -m 0644 server/configs/k12linux/yaboot-default.conf $RPM_BUILD_ROOT%{_tftpdir}/ltsp/ppc/yaboot.conf
install -m 0644 server/configs/k12linux/yaboot-default.conf $RPM_BUILD_ROOT%{_tftpdir}/ltsp/ppc64/yaboot.conf

%if 0%{?fedora}
%ifarch %{ix86} x86_64
# vmclient
install -m 0755 vmclient/ltsp-vmclient           $RPM_BUILD_ROOT%{_sbindir}/
install -m 0755 vmclient/ltsp-qemu-bridge-ifup   $RPM_BUILD_ROOT%{_sbindir}/
install -m 0644 vmclient/config-vmclient         $RPM_BUILD_ROOT%{_sysconfdir}/ltsp/vmclient
%endif
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post client
/usr/share/ltsp/ltsp-chroot-setup

%post server
/sbin/chkconfig --add ltsp-dhcpd

# If initial install, start the ltspbr0 bridge
# it would come up automatically in the next reboot.
if [ "$1" == "1" ]; then
    ifup ltspbr0 > /dev/null 2>&1 || : 
fi

# During upgrades fix up config files
if [ $1 -gt 1 ]; then
    grep -q "flags" /etc/xinetd.d/nbdrootd
    [ $? -eq 1 ] && sed -i -e '/type  /a \\tflags\t\t= KEEPALIVE' /etc/xinetd.d/nbdrootd
    grep -q "flags" /etc/xinetd.d/nbdswapd
    [ $? -eq 1 ] && sed -i -e '/type  /a \\tflags\t\t= KEEPALIVE' /etc/xinetd.d/nbdswapd
    # Add server_args if missing from nbdrootd
    grep -q "server_args" /etc/xinetd.d/nbdrootd
    [ $? -eq 1 ] && sed -i -e '/server  /a \\tserver_args\t= /opt/ltsp/images/i386.img' /etc/xinetd.d/nbdrootd
    # Restart xinetd
    /sbin/service xinetd condrestart > /dev/null 2>&1
fi

%preun server
if [ $1 = 0 ]; then
    /sbin/service ltsp-dhcpd status >/dev/null 2>&1
    if [ $? = 3 ]; then
        /sbin/service ltsp-dhcpd stop >/dev/null 2>&1
    fi

    /sbin/chkconfig --del ltsp-dhcpd || :
    /sbin/service xinetd reload > /dev/null 2>&1 || :
fi

%postun server
if [ $1 -ge 1 ]; then
    /sbin/service ltsp-dhcpd condrestart >/dev/null 2>&1
fi

%files client
%defattr(-,root,root,-)
%{_mandir}/man1/getltscfg.1.gz
%{_bindir}/getltscfg
%{_bindir}/xatomwait
%{_sbindir}/ltsp-client-launch
%dir %{_datadir}/ltsp
%{_datadir}/ltsp/configure-x.sh
%{_datadir}/ltsp/ltsp-init-common
%{_datadir}/ltsp/ltsp-common-functions
%{_datadir}/ltsp/ltsp_config
%{_datadir}/ltsp/screen_session
%{_datadir}/ltsp/screen-x-common
%{_datadir}/ltsp/screen.d/
%{_datadir}/ltsp/screen-session.d/
%{_datadir}/ltsp/xinitrc
%{_datadir}/ltsp/xinitrc.d/
%{_datadir}/ltsp/template/
%{_datadir}/ldm/rc.d/
%{_sbindir}/jetpipe
%{_sbindir}/ltsp-rewrap-latest-kernel
%{_mandir}/man8/jetpipe.8.gz
%{_datadir}/ltsp/ltsp-chroot-setup
%{_datadir}/ltsp/chroot-setup.d/
%{_bindir}/ltsp-localappsd
%{_bindir}/ltsp-genmenu
%{_sysconfdir}/sysconfig/mkinitrd.ltsp-template
%{_sysconfdir}/kernel/postinst.d/ltsp
%{_sysconfdir}/kernel/prerm.d/ltsp
%dir %{_localstatedir}/cache/ltsp-localapps/

# readonly-root related files
%{_sysconfdir}/rwtab.d/*
%{_localstatedir}/lib/random-seed
%config(noreplace) %{_sysconfdir}/lts.conf

%files server
%defattr(-,root,root,-)
%doc COPYING TODO server/doc/lts-parameters.txt
%dir %{_localstatedir}/lib/ltsp/
%attr(700,nobody,nobody) %dir %{_localstatedir}/lib/ltsp/swapfiles/
%dir %{_tftpdir}/
%dir %{_tftpdir}/ltsp/
%dir %{_tftpdir}/ltsp/i386/
%dir %{_tftpdir}/ltsp/i386/pxelinux.cfg/
%dir %{_tftpdir}/ltsp/x86_64/
%dir %{_tftpdir}/ltsp/x86_64/pxelinux.cfg/
%dir %{_tftpdir}/ltsp/ppc/
%dir %{_tftpdir}/ltsp/ppc64/
%ifarch %{ix86} x86_64
%{_tftpdir}/ltsp/i386/pxelinux.0
%{_tftpdir}/ltsp/x86_64/pxelinux.0
%endif
%config(noreplace) %{_tftpdir}/ltsp/i386/pxelinux.cfg/default
%config(noreplace) %{_tftpdir}/ltsp/x86_64/pxelinux.cfg/default
%config(noreplace) %{_tftpdir}/ltsp/ppc/yaboot.conf
%config(noreplace) %{_tftpdir}/ltsp/ppc64/yaboot.conf
%{_bindir}/ltsp-localapps

%dir /opt/ltsp
%dir /opt/ltsp/images

%{_sbindir}/ltsp-build-client
%{_datadir}/ltsp/plugins/
%{_sbindir}/ltsp-prepare-kernel
%{_sbindir}/ltsp-server-initialize
%{_sbindir}/ltsp-update-kernels
%{_sbindir}/ltsp-update-image
%{_datadir}/ltsp/scripts/
%{_datadir}/ltsp/scripts.d/
%{_datadir}/ltsp/chkconfig.d/
%{_datadir}/ltsp/mksquashfs-exclude
%{_datadir}/ltsp/ltsp-common-functions
%{_sbindir}/ltsp-update-sshkeys
%{_sbindir}/nbdrootd
%{_sbindir}/nbdswapd
%{_sbindir}/chroot-creator
%{_sysconfdir}/cron.daily/ltsp-swapfile-delete
%{_sysconfdir}/init.d/ltsp-dhcpd
%{_sysconfdir}/sysconfig/ltspdist
%config(noreplace) %{_sysconfdir}/xinetd.d/nbdrootd
%config(noreplace) %{_sysconfdir}/xinetd.d/nbdswapd
%dir %{_sysconfdir}/ltsp/
# Configuration Files
%config(noreplace) %{_sysconfdir}/sysconfig/ltsp-dhcpd
%config(noreplace) %{_sysconfdir}/sysconfig/network-scripts/ifcfg-ltspbr0
%config(noreplace) %{_sysconfdir}/ltsp/nbdswapd.conf 
%config(noreplace) %{_sysconfdir}/ltsp/ltsp-build-client.conf
%config(noreplace) %{_sysconfdir}/ltsp/ltsp-server.conf
%config(noreplace) %{_sysconfdir}/ltsp/dhcpd.conf
%config(noreplace) %{_sysconfdir}/ltsp/ltsp-update-kernels.conf
%{_sysconfdir}/ltsp/kickstart/
%dir %{_sysconfdir}/ltsp/mkinitrd/
%{_sysconfdir}/ltsp/mkinitrd/*
%config(noreplace) %{_tftpdir}/ltsp/*/lts.conf

%if 0%{?fedora}
%ifarch %{ix86} x86_64
%files vmclient
%defattr(-,root,root,-)
%{_sbindir}/ltsp-vmclient
%{_sbindir}/ltsp-qemu-bridge-ifup
%config(noreplace) %{_sysconfdir}/ltsp/vmclient
%endif
%endif

%changelog
* Thu Apr 30 2009 Warren Togami <wtogami@redhat.com> - 5.1.72-1
- no code changes, only important documentation update regarding disabling ltspbr0
  see /etc/sysconfig/network-scripts/ifcfg-ltspbr0

* Thu Apr 23 2009 Warren Togami <wtogami@redhat.com> - 5.1.71-1
- Bug #497177 Fix pulseaudio daemon launch on clients
- Fedora 11 points to final mirrorlists instead of rawhide

* Wed Apr 05 2009 Warren Togami <wtogami@redhat.com> - 5.1.70-1
- Fix typo in mkinitrd config
- Configure plymouth for graphical boot on supported hardware

* Mon Mar 30 2009 Ryan Niebur <ryanryan52@gmail.com> - 5.1.68-1
- new upstream
- fix packaging to not need ChangeLog

* Sun Mar 29 2009 Ryan Niebur <ryanryan52@gmail.com> - 5.1.67-1
- new upstream release
- updated translations
- updated documentation
- bug fixes
- support for fedora 11
- improved localapps support (printers, ...)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1.58-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 03 2009 Warren Togami <wtogami@redhat.com> - 5.1.58-1
- Really fix localapps

* Tue Feb 03 2009 Warren Togami <wtogami@redhat.com> - 5.1.57-1
- Fix localapps
- Cleanup Fedora 11 boot

* Sun Feb 01 2009 Ryan Niebur <ryanryan52@gmail.com> - 5.1.56-2
- fix build

* Sun Feb 01 2009 Warren Togami <wtogami@redhat.com> - 5.1.56-1
- Lots of bug fixes and cleanups

* Thu Jan 29 2009 Ryan Niebur <ryanryan52@gmail.com> - 5.1.55-1
- Fix default setting of ALSA hardware volume. WARNING: This triples
  the default software volume and will be a big surprise if your
  speakers are maxed out.

* Wed Jan 28 2009 Warren Togami <wtogami@redhat.com> - 5.1.54-1
- Fix ltsp-build-client

* Wed Jan 28 2009 Warren Togami <wtogami@redhat.com> - 5.1.53-1
- Fix client shutdown with NBD root

* Wed Jan 21 2009 Warren Togami <wtogami@redhat.com> - 5.1.51-1
- Fedora 11 support and more bug fixes

* Wed Jan 21 2009 Warren Togami <wtogami@redhat.com> - 5.1.49-1
- ltsp-genmenu replaces menu entries in the XDG menu with localapps transparently

* Thu Jan 15 2009 Warren Togami <wtogami@redhat.com> - 5.1.48-1
- More bug fixes

* Mon Dec 29 2008 Warren Togami <wtogami@redhat.com> - 5.1.44-1
- More bug fixes

* Wed Dec 24 2008 Warren Togami <wtogami@redhat.com> - 5.1.42-1
- More bug fixes

* Fri Dec 19 2008 Warren Togami <wtogami@redhat.com> - 5.1.41-1
- PPC chroot creation and automatic netboot, needs testing
- More bug fixes

* Tue Dec 16 2008 Warren Togami <wtogami@redhat.com> - 5.1.39-1
- More bug fixes

* Thu Dec 12 2008 Warren Togami <wtogami@redhat.com> - 5.1.38-1
- Fix a few bugs in X_* option handling
- Added LOCAL_APPS_WHITELIST, disabled by default
  If set, only defined commands are allowed to be run as local apps.

* Thu Dec 11 2008 Warren Togami <wtogami@redhat.com> - 5.1.37-1
- Now possible to set default session that is not GNOME
  See /etc/ltsp/ldm-global-dmrc
- X_* lts.conf options are now supported
- AMD Geode GX2 should automatically be forced to the geode driver now

* Mon Dec 08 2008 Warren Togami <wtogami@redhat.com> - 5.1.36-1
- jetpipe in ltsp-client requires pyserial
- /etc/cups/client.conf writable for local apps printing to to local
  printers directly (not common, requires cups installed in chroot)

* Thu Nov 13 2008 Warren Togami <wtogami@redhat.com> - 5.1.34-2
- Enable plymouth support if supported hardware is detected
- jetpipe supports serial printers
- TIMEZONE and TIMESERVER options for thin clients
- Move LDM to VT1 by default
- Prevent error during client chroot config
- Many other little bug fixes

* Sat Nov 01 2008 Warren Togami <wtogami@redhat.com> - 5.1.32-1
- Exclude wireless drivers because they cannot netboot, and they can often
  cause boot problems because of missing firmware
- Point Fedora 10 client chroot at Fedora 10 mirrormanager

* Fri Oct 31 2008 Warren Togami <wtogami@redhat.com> - 5.1.31-1
- Revert upstream change that broke pulseaudio

* Fri Oct 31 2008 Warren Togami <wtogami@redhat.com> - 5.1.30-2
- ltsp-server requires ldminfod

* Thu Oct 30 2008 Warren Togami <wtogami@redhat.com> - 5.1.30-1
- ldminfod tells LDM client location of Xsession script
  fallback to client's known location if ldminfod failed to tell it
- ldminfod moved from ltsp-server to ldminfod package
- Add alsa-plugins-pulseaudio to client chroot, should allow most
  localapps to output sound.
- Fix client boot with F10 iproute
- Debug shells on VT2-VT6 are now disabled by default
  edit /var/lib/tftpboot/i386/lts.conf to enable if you need it

* Sun Oct 05 2008 Warren Togami <wtogami@redhat.com> - 5.1.26-1
- Fix copying of mkinitrd config file within chroot

* Sun Oct 05 2008 Warren Togami <wtogami@redhat.com> - 5.1.25-1
- Bug #462228 Prevent bogus mkinitrd config from landing on systems who
  accidentally install ltsp-client for no good reason. (Thanks John Ellson)
- Remove irrelevant plugins from package

* Thu Sep 11 2008 Warren Togami <wtogami@redhat.com> - 5.1.24-1
- lts.conf options: VOLUME, HEADPHONE_VOLUME, PCM_VOLUME, CD_VOLUME, FRONT_VOLUME
  Set values higher than default if not specified in lts.conf.
  MIC_VOLUME not set by default, but can be controlled by lts.conf.
- xrexec     renamed to ltsp-localapps
- xrexecd.sh renamed to ltsp-localappsd
- fix build on RHEL-5

* Wed Sep 10 2008 Warren Togami <wtogami@redhat.com> - 5.1.23-1
- Point F8 and F9 client chroot builder at newkey repos
- Ensure that initscripts installs before ltsp-client

* Wed Aug 27 2008 Warren Togami <wtogami@redhat.com> - 5.1.22-1
- Exclude /var/cache/yum/* from mksquashfs

* Sun Aug 24 2008 Warren Togami <wtogami@redhat.com> - 5.1.21-1
- Exclude /proc/* and /sys/* from mksquashfs
- Cleanup old kernels and images from tftpdir

* Sun Aug 24 2008 Warren Togami <wtogami@redhat.com> - 5.1.20-1
- Prep for NBD root boot (requires mkinitrd changes)
- Fix nbdrootd and nbdswapd launch path
- nbdswap detects an unused nbd device before using it
- nbdrootd and nbdswapd uses KEEPALIVE, should die after default 7200 seconds
- ltsp-update-image script to create NBD root images in /opt/ltsp/images
- Cleanup old netboot images from chroot during kernel upgrade
- xrexecd waits for xatom changes instead of polling
- Disable nbdswap if server is running Live

* Thu Aug 14 2008 Warren Togami <wtogami@redhat.com> - 5.1.19-1
- Initial x86_64 client chroot support (John Ellson)
- Fix chroot-creator so NBI and ELF images are created during client install.
- Use wraplinux to create NBI image.

* Wed Aug 13 2008 Warren Togami <wtogami@redhat.com> - 5.1.18-1
- cleanups to localapps scripts
- moved localapp stuff from ldm into this package
- Fix nbdswap
  nbd was missing in both client and server
  nbdswapd had a bogus path to nbd-server
- Automatic setup of coreboot/ELF capable Etherboot images
  created by mkelfimage.  dhcpd.conf default serves this to
  any client reporting itself as "Etherboot-5.4".

* Fri Aug 08 2008 Warren Togami <wtogami@redhat.com> - 5.1.15-4
- Include live-config within ltsp-server

* Thu Aug 07 2008 Warren Togami <wtogami@redhat.com> - 5.1.15-1
- kickstart files are no longer %%config(noreplace).
- Many minor fixes to silence error messages during boot/shutdown.
- vmclient: Make sound and bridge device name configurable in /etc/ltsp/vmclient.
- Fedora 10 client support.
- Working Local Apps support.

* Sun Jul 27 2008 Warren Togami <wtogami@redhat.com> - 5.1.14-1
- Preparation for future feature "local applications"

* Fri Jul 18 2008 Warren Togami <wtogami@redhat.com> - 5.1.13-2
- Add some spec conditionals for RHEL5.
  RHEL5 has only ltsp-server.  Client chroot must be
  Fedora 9+, so there is no RHEL5 build of ltsp-client.
- Ensure that ltsp-chroot-setup is run after chroot creation.

* Wed Jul 16 2008 Warren Togami <wtogami@redhat.com> - 5.1.12-1
- Move some chroot setup into ltsp-client %%post so things can be fixed
  by ltsp-client package updates in the future.

* Thu Jul 10 2008 Warren Togami <wtogami@redhat.com> - 5.1.11-1
- LDM_DIRECTX=yes unencrypted X by default in lts.conf
  This is for performance and scalability.  Turn it off if you want security.
- Fix chroot install that was broken by livecd-tools update
- own /var/lib/ltsp to silence tmpwatch selinux errors

* Fri Jun 06 2008 Warren Togami <wtogami@redhat.com> - 5.1.9-1
- jetpipe script was missing from ltsp-client
  This should allow local printers to work if configured in lts.conf.

* Fri May 16 2008 Warren Togami <wtogami@redhat.com> - 5.1.8-1
- Fix NBD swap
- Fix grabbing of lts.conf, it happens from the rootfs server now

* Wed Apr 30 2008 Warren Togami <wtogami@redhat.com> - 5.1.7-2
- Allow ltsp-build-client to work in sudo

* Mon Apr 28 2008 Warren Togami <wtogami@redhat.com> - 5.1.7-1
- Fix ltsp-server-initialize (eharrison)
- Create /etc/mtab in chroot, fixes ltspfs (wtogami)

* Sun Apr 27 2008 Warren Togami <wtogami@redhat.com> - 5.1.6-1
- set LANG for login screen from client's /etc/sysconfig/i18n
- move /etc/ltsp/ltsp-dhcpd.conf to /etc/ltsp/dhcpd.conf for consistency with Debian
- vmclient split out config file into /etc/ltsp/vmclient

* Thu Apr 17 2008 Warren Togami <wtogami@redhat.com> - 5.1.5-1
- fix race condition in client/getltscfg/Makefile
- include lts-parameters.txt in ltsp-server docs

* Thu Apr 17 2008 Warren Togami <wtogami@redhat.com> - 5.1.4-1
- Use F9 instead of rawhide configs for chroot install (#442732)
- Bug fix: configure /etc/hosts only once
- configure_swap(), configure_printer(), configure_serial_mouse() during
  client startup.  Possibly fixes #442649.

* Sun Mar 30 2008 Warren Togami <wtogami@redhat.com> - 5.1.3-1
- Fix sound, though still needs more work       (#436906 eharrison)
- Make F9 client boot work w/ event-compat-sysv (#442291 eharrison)

* Sun Mar 30 2008 Warren Togami <wtogami@redhat.com> - 5.1.2-1
- 5.1.2

* Sun Mar 30 2008 Warren Togami <wtogami@redhat.com> - 5.1.1-1
- 5.1.1

* Tue Mar 25 2008 Warren Togami <wtogami@redhat.com> - 5.1.0-0.8.20080325.22
- screen-x-common had a crippling typo
- other minor fixes

* Mon Mar 24 2008 Warren Togami <wtogami@redhat.com> - 5.1.0-0.7.20080324.11
- screen-x-common to unify X configuration between screen scripts
- boot clients faster (avoid ipcalc -h lookup delay in the absence of DNS)

* Wed Mar 19 2008 Warren Togami <wtogami@redhat.com> - 5.1.0-0.6.20080319
- ltsp-server requires bridge-utils
- Verifies tftpdir during ltsp-build-client (#436911)

* Tue Mar 18 2008 Warren Togami <wtogami@redhat.com> - 5.1.0-0.4.20080318
- Ugly hacks to allow yum to work in the chroot without mounting /proc
- Allow ltsp-build-client to work in sudo (/usr/sbin isn't in PATH)
- Fix i586 client grabbing of lts.conf from tftp
- Various other small fixes

* Mon Mar 10 2008 Warren Togami <wtogami@redhat.com> - 5.1.0-0.3.20080310
- make ppc build work
  Wont work yet, requires a kickstart file and possibly fixes elsewhere.

* Mon Mar 10 2008 Warren Togami <wtogami@redhat.com> - 5.1.0-0.2.20080310
- improve init.d/ltsp-dhcpd script so restart works properly
- add %%post and %%preun handling of ltsp-dhcpd
- other spec fixes from mdomsch's review

* Mon Mar 10 2008 Warren Togami <wtogami@redhat.com> - 5.1.0-0.1.20080310
- initial package for review
